Bug 522236 - Nautilus does not mount Windows NT shares properly - file corruption occurs
Summary: Nautilus does not mount Windows NT shares properly - file corruption occurs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 20:25 UTC by Christian Koren
Modified: 2015-03-03 22:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:33:57 UTC


Attachments (Terms of Use)

Description Christian Koren 2009-09-09 20:25:24 UTC
The Gnome/Nautilus way of mounting a windows share by browsing a server results in corrupt reading of files from a Windows NT 4.0 server share, but not from a w2k share. This can easily be observed when viewing jpeg pictures. Pictures on a NT 4.0 share show artifacts, a repeated pattern of false color, each starting as a horizontal line. Smaller jpeg files (less than 64 kB) does not show this error, suggesting some kind of a block size problem. Copying larger files with Nautilus from NT to a local drive as well as saving files to the NT share will produce corrupted files.

This incompatibility affects Fedora 9, 10 and 11 (and maybe others ?) and is reproducible, but was not a problem in the older Fedoras (among them FC 5). It also does not affect Ubuntu Hardy.

Interestingly, when mounting NT shares from the command line (mount //ntserver/share /mnt/dir ... -t cifs) there is no problem. At the same time you can view a single picture file both as a corrupt jpg (by double-clicking the Gnome/Nautilus mounted file) and as a proper jpg (by double-clicking in another Nautilus window showing the file in /mnt/dir).

File corruption is unacceptable. Gnome/Nautilus should either not mount NT shares at all or they should be mounted properly.

Comment 1 Tomáš Bžatek 2009-09-15 09:15:32 UTC
I'm tempted this is a smbclient issue - the code in gvfsd-smb for reading is so simple that I doubt any corruption can be done at that place.

At first, can you please post your libsmbclient package version? We've experienced some issues with 3.4 series lately.

Also, please try to use commandline smbclient and copy some files, then check for corruption.

(In reply to comment #0)
> Smaller jpeg files (less than 64 kB) does not show this
> error, suggesting some kind of a block size problem. Copying larger files with
> Nautilus from NT to a local drive as well as saving files to the NT share will
> produce corrupted files.
We've had some issues with incorrect blocksize, but that should only affect performance. Perhaps old SMB servers need more quirks in samba sources. We only limit blocksize when reading, not when writing, that's completely up to samba to choose the right blocksize.

> Interestingly, when mounting NT shares from the command line (mount
> //ntserver/share /mnt/dir ... -t cifs) there is no problem.
System cifs mounts use different subsystem, but it's good to know that the SMB server works correctly.

Comment 2 Bug Zapper 2010-04-28 10:15:51 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:33:57 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.